RESTinio

Public Types | Static Public Member Functions | Public Attributes | List of all members
restinio::http_field_parsers::content_encoding_value_t Struct Reference

Tools for working with the value of Content-Encoding HTTP-field. More...

`#include <content-encoding.hpp>`

## Public Types
using | value_container_t = std::vector< std::string >

## Static Public Member Functions
static RESTINIO_NODISCARD auto | make_parser ()
| A factory function for a parser of Content-Encoding value. More...
static RESTINIO_NODISCARD expected_t< content_encoding_value_t, restinio::easy_parser::parse_error_t > | try_parse (string_view_t what)
| An attempt to parse Content-Encoding HTTP-field. More...

## Public Attributes
value_container_t | values

## Detailed Description

Tools for working with the value of Content-Encoding HTTP-field.

This struct represents parsed value of HTTP-field Content-Encoding (see https://tools.ietf.org/html/rfc7231#section-3.1.2.2):

         Content-Encoding = 1#content-coding
         content-coding   = token

Note
  Parameter names are converted to lower case during the parsing. Parameter values are left as they are.

Since
  v.0.6.1

Definition at line 41 of file content-encoding.hpp.

## Member Typedef Documentation

## ◆ value_container_t

using restinio::http_field_parsers::content_encoding_value_t::value_container_t = std::vector< std::string >

Definition at line 43 of file content-encoding.hpp.

## Member Function Documentation

## ◆ make_parser()

static RESTINIO_NODISCARD auto restinio::http_field_parsers::content_encoding_value_t::make_parser | ( |  | ) |
| inline static

A factory function for a parser of Content-Encoding value.

Since
  v.0.6.1

Definition at line 54 of file content-encoding.hpp.

## ◆ try_parse()

static RESTINIO_NODISCARD expected_t< content_encoding_value_t, restinio::easy_parser::parse_error_t > restinio::http_field_parsers::content_encoding_value_t::try_parse | ( | string_view_t | what | ) |
| inline static

An attempt to parse Content-Encoding HTTP-field.

Since
  v.0.6.1

Definition at line 70 of file content-encoding.hpp.

## Member Data Documentation

## ◆ values

value_container_t restinio::http_field_parsers::content_encoding_value_t::values

Definition at line 45 of file content-encoding.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/content-encoding.hpp